BICO 1.1

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Pages
Public Member Functions | Static Public Member Functions | List of all members
CluE::DiscreteProxyProvider< T > Class Template Referenceabstract

Abstract base class to access the results of proxy / center based clustering algorithms. More...

`#include <discreteproxyprovider.h>`

Inheritance diagram for CluE::DiscreteProxyProvider< T >:
Collaboration diagram for CluE::DiscreteProxyProvider< T >:

## Public Member Functions
virtual | ~DiscreteProxyProvider ()
virtual unsigned int | number_of_solutions () const =0
| returns the number of available solutions More...
virtual unsigned int | size_of_solution (unsigned int index) const =0
| returns the size of a particular solution More...
virtual T * | discrete_proxy (unsigned int solutionIndex, unsigned int proxyIndex) const =0
| Returns a pointer to the proxy for the specified clustering and cluster. More...
virtual std::vector< T * > | discrete_proxies (unsigned int solutionIndex) const =0
| Returns a vector of pointers to the proxies for the specified clustering. More...

## Static Public Member Functions
static DiscreteProxyProvider< T > * | toDiscreteProxyProvider (SolutionProvider *s)
| Does a dynamic cast of the given SolutionProvider to a DiscreteProxyProvider. More...

## Detailed Description

### template<typename T>
class CluE::DiscreteProxyProvider< T >

Abstract base class to access the results of proxy / center based clustering algorithms.

Definition at line 16 of file discreteproxyprovider.h.

## Constructor & Destructor Documentation

template<typename T>

virtual CluE::DiscreteProxyProvider< T >::~DiscreteProxyProvider | ( |  | ) |
| inline virtual

Definition at line 20 of file discreteproxyprovider.h.

## Member Function Documentation

template<typename T>

virtual unsigned int CluE::DiscreteProxyProvider< T >::number_of_solutions | ( |  | ) | const
| pure virtual

returns the number of available solutions

The algorthm may compute more than one solution of possibly different size, where size means number of computed clusters, proxies (e.g. cluster centers) or the size of a coreset. The sizes can be retrieved by a call to size_of_solution().

Implemented in CluE::DiscreteProxySolution< T >.

template<typename T>

virtual unsigned int CluE::DiscreteProxyProvider< T >::size_of_solution | ( | unsigned int | index | ) | const
| pure virtual

returns the size of a particular solution

Parameters

  index | number between 0 and number_of_solutions()-1

Returns
  the size for the requested clustering

Implemented in CluE::DiscreteProxySolution< T >.

template<typename T>

virtual T* CluE::DiscreteProxyProvider< T >::discrete_proxy | ( | unsigned int | solutionIndex,
|  | unsigned int | proxyIndex
| ) |  | const
| pure virtual

Returns a pointer to the proxy for the specified clustering and cluster.

Returns a pointer to the element of the input set that was computed to be the proxy for cluster number proxyIndex in clustering number solutionIndex.

Implemented in CluE::DiscreteProxySolution< T >.

template<typename T>

virtual std::vector<T*> CluE::DiscreteProxyProvider< T >::discrete_proxies | ( | unsigned int | solutionIndex | ) | const
| pure virtual

Returns a vector of pointers to the proxies for the specified clustering.

Returns a vector of pointers to the elements of the input set that were computed to be the proxies for clustering number proxyIndex.

Implemented in CluE::DiscreteProxySolution< T >.

template<typename T>

static DiscreteProxyProvider<T>* CluE::DiscreteProxyProvider< T >::toDiscreteProxyProvider | ( | SolutionProvider * | s | ) |
| inline static

Does a dynamic cast of the given SolutionProvider to a DiscreteProxyProvider.

Returns
  NULL if the SolutionProvider is not a DiscreteProxyProvider instance

Definition at line 61 of file discreteproxyprovider.h.

The documentation for this class was generated from the following file:

- src/base/discreteproxyprovider.h